Draft AddPoint

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft AddPoint and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe

Draft AddPoint.svg Draft Punkt hinzufügen

Menüeintrag
Draft → Punkt
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Punkt entfernen, Bearbeiten


Beschreibung

Dieses Werkzeug erlaubt Dir, Punkte zu bereits vorhandenen Linienzügen und BSplines hinzuzufügen.

Das Gegenstück zu diesem Werkzeug ist die Punkt entfernen-Operation.

Anwendung

  1. Wähle einen Linienzug oder BSpline. Das Werkzeug ist deaktiviert, wenn kein Objekt ausgewählt wurde.
  2. Drücken den Draft AddPoint.svg Punkt hinzufügen-Button.
  3. Klicke einen Punkt in der 3D-Ansicht oder tippe eine Koordinate und drücke den Draft AddPoint.svg Punkt hinzufügen-Button
  4. Drücke Esc oder den Schließen zum Beenden der Operation; bereits gesetzte Punkt bleiben bestehen.

Diese Funktionalität ist auch im Draft Edit.png Bearbeiten-Werkzeug verfügbar.

Optionen

Die Optionen dieses Werkzeugs sind in Draft Edit.png Draft Bearbeiten beschrieben.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

Es gibt keine Programmierschnittstelle für das AddPoint-Werkzeug, aber hinzufügen von Punkten ist einfach.

Das Points-Attribut eines Linienzuges oder Splines ist eine Liste von Punkten, aus denen das Objekt besteht; um Punkte hinzuzufügen, erweitere dieses Attributen um zusätzliche Punkte. Du kannst Methoden wie append() und insert() zum Hinzufügen einen neuen Elements an der gewünschten Position in der Liste verwenden. Jeder Punkt ist durch seinen FreeCAD.Vector definiert, Einheiten in Millimetern.

Beispiel:

import FreeCAD, Draft

p1 = FreeCAD.Vector(-1000, -400, 0)
p2 = FreeCAD.Vector(2200, -1000, 0)

wire = Draft.makeWire([p1, p2])

p_new = FreeCAD.Vector(1500, 1500, 0)
points = wire.Points
points.insert(1, p_new)

wire.Points = points
FreeCAD.ActiveDocument.recompute()